/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DEFS_H
#define DEFS_H

#define OSD_MAX_WIDTH 600
#define OSD_MIN_WIDTH 150
#define OSD_ASPECT_RATIO 2.3f
#define OSD_DEFAULT_SIZE 30

#define OSD_DEFAULT_HPOS 50
#define OSD_DEFAULT_VPOS 70

#define OSD_DEFAULT_BACK_COLOR QColor(220, 220, 220)
#define OSD_DEFAULT_FRONT_COLOR QColor(100, 100, 100)

#define OSD_DEFAULT_TIMEOUT 2000

#include <kstandarddirs.h>
#define MIXER_IMAGE QString(locate("appdata", "pics/mixer.png") + "\0")
#define MUTE_MIXER_IMAGE QString(locate("appdata", "pics/mixer_mute.png") + "\0")

#endif
